| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::RTShader::TextureAtlasSamplerFactory::TextureAtlasAttib Struct Reference

`#include <OgreShaderExTextureAtlasSampler.h>`

## Public Member Functions
| TextureAtlasAttib (IndexPositionMode _posMode=ipmRelative, ushort _posOffset=1, bool _autoBorderAdjust=true)

## Public Attributes
bool | autoBorderAdjust
IndexPositionMode | positionMode
ushort | positionOffset

## Constructor & Destructor Documentation

## ◆ TextureAtlasAttib()

Ogre::RTShader::TextureAtlasSamplerFactory::TextureAtlasAttib::TextureAtlasAttib | ( | IndexPositionMode | _posMode = `ipmRelative`,
|  | ushort | _posOffset = `1`,
|  | bool | _autoBorderAdjust = `true`
| ) |  |
| inline

## Member Data Documentation

## ◆ positionMode

IndexPositionMode Ogre::RTShader::TextureAtlasSamplerFactory::TextureAtlasAttib::positionMode

## ◆ positionOffset

ushort Ogre::RTShader::TextureAtlasSamplerFactory::TextureAtlasAttib::positionOffset

## ◆ autoBorderAdjust

bool Ogre::RTShader::TextureAtlasSamplerFactory::TextureAtlasAttib::autoBorderAdjust

The documentation for this struct was generated from the following file:

- OgreShaderExTextureAtlasSampler.h